Debian Bug report logs - #685812
ABI change in 1.6.1 version

version graph

Package: python-numpy; Maintainer for python-numpy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-numpy is src:python-numpy.

Reported by: Julian Taylor <jtaylor.debian@googlemail.com>

Date: Fri, 24 Aug 2012 19:09:01 UTC

Severity: serious

Tags: patch

Fixed in versions python-numpy/1:1.6.2-1.1, python-numpy/1:1.7.0-1

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://projects.scipy.org/numpy/ticket/2228

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#685812; Package python-scientific. (Fri, 24 Aug 2012 19:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 24 Aug 2012 19:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-scientific: requires rebuild
Date: Fri, 24 Aug 2012 21:04:13 +0200
[Message part 1 (text/plain, inline)]
Package: python-scientific
Version: 2.8-3
Severity: serious

I'm not sure why but python-scientific requires a rebuild to work correctly.
Apparently there was a uncoordinated abi/abi break somewhere in its dependences (possibly netcdf or numpy):

apt-get install python-scientific python-netcdf
python -c "import numpy as np; import Scientific.IO.NetCDF as nc; ncf = nc.NetCDFFile('t.nc','w'); ncf.createDimension('dim2', 2); ncf.createDimension('n',2); sym = ncf.createVariable('d','c',('n','dim2')); sym[:] = [' C', ' O']; print sym[:]"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ValueError: could not convert string to float: C

you should get:
[[' ' 'C']
 [' ' 'O']]

this affects debian unstable but originaly reported in ubuntu:
https://bugs.launchpad.net/ubuntu/+source/python-scientific/+bug/1041302

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#685812; Package python-scientific. (Fri, 24 Aug 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 24 Aug 2012 19:15:03 GMT) Full text and rfc822 format available.


Message #10 received at 685812@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 685812@bugs.debian.org
Date: Fri, 24 Aug 2012 21:12:17 +0200
[Message part 1 (text/plain, inline)]
see
https://bugs.launchpad.net/ubuntu/+source/python-scientific/+bug/1041302
for another issue which is fixed by a rebuild

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#685812; Package python-scientific. (Wed, 29 Aug 2012 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 29 Aug 2012 22:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 685812@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 685812@bugs.debian.org, Julian Taylor <jtaylor.debian@googlemail.com>
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#686041: nmu: python-scientific_2.8-3
Date: Wed, 29 Aug 2012 18:28:09 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Control: tags -1 moreinfo

Hi,

Le 29/08/2012 08:27, Julien Cristau a écrit :
>> Le 27/08/2012 19:03, David Prévot a écrit :
>>
>>> Could you please trigger a rebuild, to make the package work again
>>> (fixing an RC-bug)? Thanks in advance.
>>>
>>> nmu python-scientific_2.8-3 . ALL . -m "Rebuild with current stuff (Closes: #685812)"

> - the changelog entry is not understandable
> - you can't close bugs in binNMUs
> - I won't schedule a binNMU without knowing why it's needed.  Neither
>   your request nor the referenced bug help with that.

Thanks Julien for your reply. Documenting on the original bug report
that the “easy way” is not enough.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQPpd4AAoJELgqIXr9/gnyf6YQAJmvVXJiFT+KgnvhJjL3TIYE
YSerLN2hOmfo9zhl0donJVv800tT/Nrpzan2sqGa+zDvr9NLwz2HNaCBaoXaCyQT
IzKn67FjroMRVktLxQgkWGhbOYI163QNnlHpOeNr260utMkhWnRLabf5NhUJBDC2
sY2La0FX7j4RG6yYZZcbsSUJgpdJOXssztgaz/oCkyrO/rTphMx0R9Gb2l2PYfd5
qPr1I0ggr/VkWCw4rhasO3RCbJQUxVAuIIUlOonnYyyCssY55BpuWDCw0y4tcwjB
rDuOmp8Cr9X+39eUTWo/GAbWFHQ5DsxTNUcclxtEE4EUBl6xRaAo4y3IkHX3mBe4
yPu6BQlDHlx72wa/37w79VcKO6CGaEVh5CQvA03c8iuOO44RI2YQqLZ06x4YiAko
uAfwwt4kF4D1CgxXcDxuebPSEkJ0yMkfutK+NE7ZCEbgxZuXo62kKu0ZX3KvRCmz
xqc2I5WIVmbq/XVkAgoxn0jejtwWN3Z+J4uItg809pNsMAq2epcnVEyJnjiAcuhT
mUG6nGEBKJ1KqtrkWjNCsilyd8tnUOhq85WzYxu4mN/uFuYAoqO5B8S+o5NS70CD
IxN+hpHB9NIzlmxm+hTTojEPephP6WNKln+X9Czjj9g9/z/j66LaTgOJ8yYbAnRu
J9lM4bsKAdjIq+SUhKcc
=witZ
-----END PGP SIGNATURE-----



Added tag(s) moreinfo. Request was from David Prévot <taffit@debian.org> to 685812-submit@bugs.debian.org. (Wed, 29 Aug 2012 22:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#685812; Package python-scientific. (Fri, 07 Sep 2012 15:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 07 Sep 2012 15:27:05 GMT) Full text and rfc822 format available.

Message #22 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: David Prévot <taffit@debian.org>
Cc: 685812@bugs.debian.org, Julian Taylor <jtaylor.debian@googlemail.com>, Julien Cristau <jcristau@debian.org>, 686041@bugs.debian.org
Subject: Re: Bug#685812: Bug#686041: nmu: python-scientific_2.8-3
Date: Fri, 07 Sep 2012 17:23:14 +0200
[Message part 1 (text/plain, inline)]
David Prévot <taffit@debian.org> writes:

> Le 29/08/2012 08:27, Julien Cristau a écrit :
>>> Le 27/08/2012 19:03, David Prévot a écrit :
>>>
>>>> Could you please trigger a rebuild, to make the package work again
>>>> (fixing an RC-bug)? Thanks in advance.
>>>>
>>>> nmu python-scientific_2.8-3 . ALL . -m "Rebuild with current stuff (Closes: #685812)"
>
>> - the changelog entry is not understandable
>> - you can't close bugs in binNMUs
>> - I won't schedule a binNMU without knowing why it's needed.  Neither
>>   your request nor the referenced bug help with that.
>
> Thanks Julien for your reply. Documenting on the original bug report
> that the “easy way” is not enough.

The bug in python-netcdf comes from a change in python-numpy. The
last binNMU of python-netcdf having occurred on 2012-03-08, it was built
against python-numpy 1:1.5.1-4, whereas sid/wheezy currently have 1:1.6.2-1.

This is confirmed by the following tests:

- install python-netcdf and python-numpy as currently in sid => the
  testcase provided by Julian Taylor in #685812 fails (as already noted
  by Julian)

- downgrade to python-numpy 1:1.5.1-4 without recompiling python-netcdf
  => the testcase succeeds

- upgrade back to python-numpy 1:1.6.2-1 then recompile python-netcdf =>
  the testcase succeeds (as already noted by Julian)

So my understanding is that the problem comes from some ABI breakage in
python-numpy, which was not followed by a recompilation of python-netcdf.

What I don't understand however is that the python-numpy
maintainers/upstream claim that there was no ABI breakage between
1:1.5.1-4 and 1:1.6.2-1 (see the Provides field of python-numpy). Either
I am missing something or that claim is wrong.

As a side note, a call to dh_numpy should be added to debian/rules in
python-scientific (as noted by lintian); in the present case it would
however not have helped, as evidenced by the above paragraph.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Maintainer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#685812; Package python-scientific. (Wed, 12 Sep 2012 18:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 12 Sep 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 685812@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 685812@bugs.debian.org
Cc: Sébastien Villemot <sebastien.villemot@ens.fr>, python-numpy@packages.debian.org
Subject: ABI change in python-numpy 1.6.1 breaks python-scientific (Was: Bug#686041: nmu: python-scientific_2.8-3)
Date: Wed, 12 Sep 2012 14:51:33 -0400
[Message part 1 (text/plain, inline)]
Control: reassign -1 python-numpy
Control: affects -1 python-scientific
Control: retitle -1 ABI change in 1.6.1 version

Hi,

Le 10/09/2012 04:32, Julien Cristau a écrit :
> On Sat, Sep  8, 2012 at 16:59:13 -0400, David Prévot wrote:
>>>>>> Le 27/08/2012 19:03, David Prévot a écrit :
>>>>>>
>>>>>>> Could you please trigger a rebuild, to make the package work again
>>>>>>> (fixing an RC-bug)? Thanks in advance.
>>
>> Thanks to Sébastien's explanations, I hereby propose a less dummy
>> changelog entry for this binNMU request:
>>
>>> nmu python-scientific_2.8-3 . ALL . -m "Rebuild against python-numpy 1:1.6.2-1; fixes: #685812"
>>
> NAK.  The numpy bug needs to be fixed, IMO.

As explained by Sébastien [0], an ABI breakage in python-numpy was not
documented, so it was not followed by a recompilation of python-netcdf
(and maybe other packages). Can you please address the issue in
python-numpy as asked by the release team in #686041?

	0: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685812#22

Regards

David


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'python-scientific' to 'python-numpy'. Request was from David Prévot <taffit@debian.org> to 685812-submit@bugs.debian.org. (Wed, 12 Sep 2012 18:54:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions python-scientific/2.8-3. Request was from David Prévot <taffit@debian.org> to 685812-submit@bugs.debian.org. (Wed, 12 Sep 2012 18:54:03 GMT) Full text and rfc822 format available.

Added indication that 685812 affects python-scientific Request was from David Prévot <taffit@debian.org> to 685812-submit@bugs.debian.org. (Wed, 12 Sep 2012 18:54:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'ABI change in 1.6.1 version' from 'python-scientific: requires rebuild' Request was from David Prévot <taffit@debian.org> to 685812-submit@bugs.debian.org. (Wed, 12 Sep 2012 18:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Sun, 14 Oct 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 14 Oct 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 685812@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 685812@bugs.debian.org
Subject: re: ABI change in 1.6.1 version
Date: Sat, 13 Oct 2012 20:59:21 -0400
control: severity -1 important

The 2.8-3+b3 binnmu solved the breakage problem originally reported.
An abi bump is still useful, but since there is no longer breakage,
this is no longer release-critical.

Best wishes,
Mike



Severity set to 'important' from 'serious' Request was from Michael Gilbert <mgilbert@debian.org> to 685812-submit@bugs.debian.org. (Sun, 14 Oct 2012 01:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Tue, 16 Oct 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@logilab.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 16 Oct 2012 11:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 685812@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@logilab.fr>
To: Michael Gilbert <mgilbert@debian.org>, 685812@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#685812: ABI change in 1.6.1 version
Date: Tue, 16 Oct 2012 13:36:40 +0200
Control: severity -1 serious

On Sat, Oct 13, 2012 at 20:59:21 -0400, Michael Gilbert wrote:

> control: severity -1 important
> 
> The 2.8-3+b3 binnmu solved the breakage problem originally reported.
> An abi bump is still useful, but since there is no longer breakage,
> this is no longer release-critical.
> 
Wrong...

Cheers,
Julien
-- 
Julien Cristau          <julien.cristau@logilab.fr>
Logilab		        http://www.logilab.fr/
Informatique scientifique & gestion de connaissances



Severity set to 'serious' from 'important' Request was from Julien Cristau <julien.cristau@logilab.fr> to 685812-submit@bugs.debian.org. (Tue, 16 Oct 2012 11:39:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://projects.scipy.org/numpy/ticket/2228'. Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 18:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Tue, 30 Oct 2012 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 30 Oct 2012 20:24:02 GMT) Full text and rfc822 format available.

Message #56 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 685812@bugs.debian.org
Cc: Julien Cristau <julien.cristau@logilab.fr>, Michael Gilbert <mgilbert@debian.org>
Subject: Re: Bug#685812: ABI change in 1.6.1 version
Date: Tue, 30 Oct 2012 21:21:19 +0100
[Message part 1 (text/plain, inline)]
I found the cause of this bug: in
numpy/core/include/numpy/ndarraytypes.h, in the enum NPY_TYPES, the
value NPY_CHAR has changed between NumPy 1.5 and 1.6 (more precisely, it
was increased by 3, because new types were introduced).

python-scientific uses this enum value at several places (under its
alias PyArray_CHAR). Hence the bug. I verified that replacing
PyArray_CHAR by (PyArray_CHAR+3) in python-scientific and then compiling
against NumPy 1.5 creates a package which is ABI compatible with NumPy
1.6.

This is clearly an ABI breakage in NumPy. I don't see how to fix it
without bumping the ABI number. Since NPY_CHAR must apparently come
after NPY_NTYPES in the enum (the latter counts the number of types), it
seems difficult to patch NumPy 1.6 so that NPY_CHAR keeps the same value
as in 1.5.

What remains unclear to me is whether NPY_CHAR is really meant to be
part of the external API. It looks like the NumPy maintainers are
well-aware of ABI compatibility issues in this very enum (see the
comments in the 1.6 source file), so maybe the change is on purpose. In
that latter case, it is python-scientific which is buggy. That remains
to be clarified.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2012 20:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Wed, 21 Nov 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 21 Nov 2012 21:39:04 GMT) Full text and rfc822 format available.

Message #63 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Debian Bug Tracking System <685812@bugs.debian.org>
Subject: Re: ABI change in 1.6.1 version
Date: Wed, 21 Nov 2012 22:35:35 +0100
[Message part 1 (text/plain, inline)]
Package: python-numpy
Followup-For: Bug #685812

Upstream discussed this issue [1]. It looks like they consider NPY_CHAR
to be an obsolete interface. However they did not advertise it clearly,
and they did not intentionally break the API. It is clear that they
won't fix this issue, since NPY_CHAR will be removed in python-numpy
1.8. They say that we should recompile against python-numpy >= 1.6 when
relevant.

My personal stance is therefore that, in order to close this bug, we
should make sure that all packages using NPY_CHAR have been compiled
after python-numpy 1.6 entered testing, i.e. 2012-04-25 (migration to
testing is a proof that python-numpy was available on all release
arches).

After a rapid search on codesearch.debian.net (looking for NPY_CHAR and
PyArray_CHAR), I established a list of packages which use that
interface. Then I split the list into two groups, depending on whether
the version currently in Wheezy (or Sid if not in Wheezy) has been built
after 2012-04-25 (taking into account binNMUs).

Possibly affected packages:
 pygtk
 hypre
 python-visual
 grib-api
 python-enable
 brian
 stimfit

Packages not affected:
 pygame
 python-scipy
 mathgl
 rpy
 scikit-learn
 magics++
 pymca
 openmeeg
 nlopt
 shogun
 babel
 python-scientific

This makes a total of 7 packages possibly affected. The brute force
solution would be to binNMU all of them. A more elegant solution would
be to investigate their source code to see if they are really affected,
but this is time consuming.

[1] http://thread.gmane.org/gmane.comp.python.numeric.general/51931

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Sat, 12 Jan 2013 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 12 Jan 2013 21:45:03 GMT) Full text and rfc822 format available.

Message #68 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 685812@bugs.debian.org
Subject: Re: Bug#685812: ABI change in 1.6.1 version
Date: Sat, 12 Jan 2013 22:42:27 +0100
[Message part 1 (text/plain, inline)]
Le mercredi 21 novembre 2012 à 22:35 +0100, Sébastien Villemot a écrit :

> This makes a total of 7 packages possibly affected. The brute force
> solution would be to binNMU all of them. A more elegant solution would
> be to investigate their source code to see if they are really affected,
> but this is time consuming.

I refined the list of affected packages. It appears that the following
packages were never affected (they don't really use
NPY_CHAR/PyArray_CHAR): hypre, grib-api, brian, stimfit, python-scipy,
mathgl, scikit-learn, magics++, openmeeg, nlopt.

Below is a table summarizing the (really) affected packages and the
action to be taken for each of them. Some packages need a sourceful
upload because they don't generate a versioned dependency on
python-numpy (and we want to support partial upgrades). I am going to
file the relevant bugs and the binNMU request.

| Source package    | Last affected version (present in testing/unstable?)             | Binary packages                                                  | Action needed on the package? |
|-------------------+------------------------------------------------------------------+------------------------------------------------------------------+-------------------------------|
| pygtk             | 2.24.0-3 (TU)                                                    | python-gtk2, python-gtk2-dbg, python-glade2                      | binNMU                        |
| python-visual     | 1:5.12-1.4+b1 (TU)                                               | python-visual                                                    | sourceful upload              |
| python-enable     | 4.0.0-2                                                          | python-enable                                                    | none                          |
| pygame            | 1.9.1release+dfsg-6                                              | python-pygame                                                    | sourceful upload              |
| rpy               | 1.0.3-21                                                         | python-rpy                                                       | none                          |
| pymca             | 4.5.0-4                                                          | pymca                                                            | none                          |
| shogun            | 1.1.0-4                                                          | shogun-python-static, shogun-python-modular, shogun-elwms-static | none                          |
| babel             | 1.4.0.dfsg-8 [armhf s390x], 1.4.0.dfsg-8+b1 [!armhf !s390x] (TU) | python-sidl                                                      | sourceful upload              |
| python-scientific | 2.8-3+b1 [armhf s390x], 2.8-3+b2 [!armhf !s390x]                 | python-netcdf                                                    | none                          |

I also attach a patch to python-numpy that declares a Breaks on affected
reverse dependencies (again for supporting partial upgrades).

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[bug685812.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 685812: 698039 Request was from Sébastien Villemot <sebastien@debian.org> to submit@bugs.debian.org. (Sun, 13 Jan 2013 09:57:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 685812: 698042 Request was from Sébastien Villemot <sebastien@debian.org> to submit@bugs.debian.org. (Sun, 13 Jan 2013 10:51:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 685812: 698169 Request was from Sébastien Villemot <sebastien@debian.org> to submit@bugs.debian.org. (Mon, 14 Jan 2013 20:03:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 685812: 698175 Request was from Sébastien Villemot <sebastien@debian.org> to submit@bugs.debian.org. (Mon, 14 Jan 2013 20:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Thu, 31 Jan 2013 10:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 31 Jan 2013 10:45:09 GMT) Full text and rfc822 format available.

Message #81 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 685812@bugs.debian.org
Subject: Re: Bug#685812: ABI change in 1.6.1 version
Date: Thu, 31 Jan 2013 11:42:19 +0100
[Message part 1 (text/plain, inline)]
Update: all reverse dependencies are now fixed, except pygtk which FTBFS
on ia64. Once this is sorted out, I plan to NMU python-numpy with the
patch previously sent, and then finally close this bug.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#685812; Package python-numpy. (Fri, 08 Feb 2013 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 08 Feb 2013 20:42:03 GMT) Full text and rfc822 format available.

Message #86 received at 685812@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 685812@bugs.debian.org
Subject: Re: Bug#685812: ABI change in 1.6.1 version
Date: Fri, 08 Feb 2013 21:39:07 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 + pending

Since pygtk finally compiled on ia64, I have uploaded to DELAYED/2 a NMU
of python-numpy. The debdiff is attached.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[python-numpy_1.6.2-1.1.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sébastien Villemot <sebastien@debian.org> to 685812-submit@bugs.debian.org. (Fri, 08 Feb 2013 20:42:03 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Sat, 09 Feb 2013 21:42:09 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Sun, 10 Feb 2013 21:06:06 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 21:06:06 GMT) Full text and rfc822 format available.

Message #95 received at 685812-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 685812-close@bugs.debian.org
Subject: Bug#685812: fixed in python-numpy 1:1.6.2-1.1
Date: Sun, 10 Feb 2013 21:03:19 +0000
Source: python-numpy
Source-Version: 1:1.6.2-1.1

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 08 Feb 2013 21:02:56 +0100
Source: python-numpy
Binary: python-numpy python-numpy-dbg python3-numpy python3-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.6.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
 python3-numpy - Numerical Python adds a fast array facility to the Python languag
 python3-numpy-dbg - Fast array facility to the Python language (debug extension)
Closes: 685812
Changes: 
 python-numpy (1:1.6.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control: add versioned Breaks relationship on reverse
     dependencies of python-numpy that are affected by the
     NPY_CHAR/PyArray_CHAR ABI breakage (Closes: #685812)
Checksums-Sha1: 
 028a671a6fe1f8339e35a4cf3f44270ae9a03bf2 2466 python-numpy_1.6.2-1.1.dsc
 f9eef68fb0244d905802577e64a3078778698d07 140579 python-numpy_1.6.2-1.1.debian.tar.gz
 f73d98452c2b490fc5947378219d8d4edf41e103 2632160 python-numpy_1.6.2-1.1_amd64.deb
 27d9a977ee6009590def2b2e459e59677f518699 6817796 python-numpy-dbg_1.6.2-1.1_amd64.deb
 d9bae2c75609a6929fec0f84c2949bf4b3ab7142 1857802 python3-numpy_1.6.2-1.1_amd64.deb
 7ac101f3f6510e27c36446aa0843d5755080b648 4161846 python3-numpy-dbg_1.6.2-1.1_amd64.deb
 d33b2b20d4633dce601913f5b23fb95a1dc2b66d 5309830 python-numpy-doc_1.6.2-1.1_all.deb
Checksums-Sha256: 
 cbe665c73f30eb2b0e12959d9bcee0dc4425ad738f122a912cfffc232d38d19d 2466 python-numpy_1.6.2-1.1.dsc
 b6e3f513932f806859a051d38b3b02dc2e27f353d9df718abc73f9cd76404331 140579 python-numpy_1.6.2-1.1.debian.tar.gz
 d814df48bcf76d773af7af02bbb40755892966104512afa7eae700b1e733fd1b 2632160 python-numpy_1.6.2-1.1_amd64.deb
 5ae79ba468cd5beff79d09da23fb45ce3577d1af7fb55131c2e1762bf9273d5d 6817796 python-numpy-dbg_1.6.2-1.1_amd64.deb
 c77a536b4c7001a5309223559601dce4f85c80b1a16bbd0258b4656be4584d3e 1857802 python3-numpy_1.6.2-1.1_amd64.deb
 725fd0e1d6d4bfd284c4da0e1054239c5e3457ecc8a12426baf3b1e53ae3e2af 4161846 python3-numpy-dbg_1.6.2-1.1_amd64.deb
 54b49058bd00314532d1b04383e36b8792cda1d41b61940b02fc5892e606d34b 5309830 python-numpy-doc_1.6.2-1.1_all.deb
Files: 
 ab4330c1a4aa6e364506754a52394adc 2466 python optional python-numpy_1.6.2-1.1.dsc
 56714a74ce2fab637063e21d7cda1501 140579 python optional python-numpy_1.6.2-1.1.debian.tar.gz
 e1be9127604d18abb9b9605c51d7abaa 2632160 python optional python-numpy_1.6.2-1.1_amd64.deb
 6d8f5bce09dd6ce99bfdeb342a82ebea 6817796 debug extra python-numpy-dbg_1.6.2-1.1_amd64.deb
 e33cff193d1cef634c21d569b8596933 1857802 python optional python3-numpy_1.6.2-1.1_amd64.deb
 992703367ce770abd37bcbbe0b748b64 4161846 debug extra python3-numpy-dbg_1.6.2-1.1_amd64.deb
 a47f7a31feea333f55821e29c1f7e40f 5309830 doc optional python-numpy-doc_1.6.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRFWBGAAoJECzs6TUOzr5K5g8QAJORAqiYo/RzcXUwcaGM2wfi
SgJ+neqJTuQSO2wWPbqXmMAy/JjAdHWzjBh+bDBL5eOIaVjrLn4ErzMP8i9O6ZFs
qJSSVt0OlpxdqFQC4fayVLnTAYk/S9M3Zt0AbSm0JRCK5KKzzR9xGWRbJ3HDCwfp
JCEe5KkY4O7IzyX8ktzKpmXbubx7S3qpRyG4jmi+ne0jzzQ7J2aSpvgpCUMwzUNU
f7dsYoUAqUvkV7odtBLKEaMyaC0zfeRCXVamduYjzj8AljW/kSwTsvT8njR3U/6R
l0rnnKIIS1T5ZORnKx95dDatfvX/wuJtTttt7/4lY5FuU92XpFmBvEzpyVd0wwuj
PefAQYmu2I/J6BiarFZWBTQSiNcp/X2bolAeXtwHcgjE23cLNJYQEKoFWxCjJ7vg
XLkSYNBEHpbS1IJry/MLRmVpYuHt8JrufYlQL3CEuSHccLNOt/KzIZ7OVwCJobYQ
d1vUewlXjzW5nSTW/oVpQgMIU8Q4AqpnBJOo6cBDon2Kt0n3G7vu1F1kWb0mcexJ
D7dZ0BkvrEvFQa0MDUH4FAONtfX3PiolYQNrX7S85Q54cAMCAG7eo2NZ6TwuI4KA
OBFJfsXa8mOjYrZChV7ZDkAAZ1URjg+75LZmGLuoAwlSHnAX9Ujqq0d88OBSHmb5
c6vJtfbBZ8QC4c++Cmy9
=sq30
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Sun, 10 Feb 2013 22:57:03 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 13 Feb 2013 21:36:07 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Wed, 13 Feb 2013 21:36:07 GMT) Full text and rfc822 format available.

Message #102 received at 685812-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 685812-close@bugs.debian.org
Subject: Bug#685812: fixed in python-numpy 1:1.7.0-1
Date: Wed, 13 Feb 2013 21:32:50 +0000
Source: python-numpy
Source-Version: 1:1.7.0-1

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Feb 2013 21:24:57 +0100
Source: python-numpy
Binary: python-numpy python-numpy-dbg python3-numpy python3-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.7.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
 python3-numpy - Numerical Python adds a fast array facility to the Python languag
 python3-numpy-dbg - Fast array facility to the Python language (debug extension)
Closes: 685812
Changes: 
 python-numpy (1:1.7.0-1) experimental; urgency=low
 .
   * New upstream release
   * debian/copyright
     - added packaging copyright for my contributions
   * Acknowledge NMU as of 1.6.2-1.1 ; Closes: #685812
Checksums-Sha1: 
 130e05d63916acb70b58a6e608605fcb96e0a46b 1839 python-numpy_1.7.0-1.dsc
 ba328985f20390b0f969a5be2a6e1141d5752cf9 2832457 python-numpy_1.7.0.orig.tar.gz
 ae4db7c85027896d0d440e766bc7dcbecd93600e 141188 python-numpy_1.7.0-1.debian.tar.gz
 b443c997aff642ec10090ebf9a12538dbad59700 2856752 python-numpy_1.7.0-1_amd64.deb
 b8c273e1ed66ea2842289d38ae24e072c5e87f2f 7498102 python-numpy-dbg_1.7.0-1_amd64.deb
 594c1caa4fc046199e3a81e7f188f61a58b3e4a3 2008986 python3-numpy_1.7.0-1_amd64.deb
 59b09b5c802b6d87e93def2b722f6d4c72ba70f3 4566614 python3-numpy-dbg_1.7.0-1_amd64.deb
 fb51261753c97e19745857a8b1f60e9eba4c1740 5218798 python-numpy-doc_1.7.0-1_all.deb
Checksums-Sha256: 
 682d2d2b4071b9ded2201c01f464a7e485f726b862e328660aa73b04acd36484 1839 python-numpy_1.7.0-1.dsc
 f4fa70b7edbab65ee6432eb63743f5489f1919c614632b20b2fb45aa7e682ac6 2832457 python-numpy_1.7.0.orig.tar.gz
 a0b867ed514b20dc8f4665c9e50d2df6115f51a606178608363bd90a40132717 141188 python-numpy_1.7.0-1.debian.tar.gz
 ccb49eba317e18f2db47ba133e714fc6c93d179c1872ba9f363bbd3642b6e8c6 2856752 python-numpy_1.7.0-1_amd64.deb
 f786d0b3cbfefd606be41ac81beee87d04fa2abff562594190e606f4acfe6a9f 7498102 python-numpy-dbg_1.7.0-1_amd64.deb
 06c822619b1e4ded2c01e001a8b2bb178d84f3f3bc45fb6b9e3b6e32f497d64f 2008986 python3-numpy_1.7.0-1_amd64.deb
 7a9957a1a1c3084879ad76f620dacff1dce909ec97d4fa0dd4beee81ac5255a2 4566614 python3-numpy-dbg_1.7.0-1_amd64.deb
 ab8ddcec8b8fbbcbb685c56095591bdc309eb4271f5926f42c5c8c0fe33a37b9 5218798 python-numpy-doc_1.7.0-1_all.deb
Files: 
 e6a623ecdded23099dd9ada5a11d75d4 1839 python optional python-numpy_1.7.0-1.dsc
 4fa54e40b6a243416f0248123b6ec332 2832457 python optional python-numpy_1.7.0.orig.tar.gz
 cda507843a6dc19a8151d7bd1b6726dd 141188 python optional python-numpy_1.7.0-1.debian.tar.gz
 d11bd88dc7ac74c7cac26d4f046f7420 2856752 python optional python-numpy_1.7.0-1_amd64.deb
 02a5ea4d6551361db1d20ab1057f7c1e 7498102 debug extra python-numpy-dbg_1.7.0-1_amd64.deb
 d6289e6153cc97a338c42fd56152c953 2008986 python optional python3-numpy_1.7.0-1_amd64.deb
 8cf67adf013d46104ab4c9ed9e42200f 4566614 debug extra python3-numpy-dbg_1.7.0-1_amd64.deb
 2dc094ed49d2631a6b01f4eefe7be085 5218798 doc optional python-numpy-doc_1.7.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEb/hkACgkQAukwV0RN2VAzfwCgkPpo3w9QEEFid46//0CCJ9N9
wNIAn0SBA9UxgHA8KM49elQiFM/vm94j
=SbOC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:35:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:21:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.